Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStrip::DeviceInfo Struct Reference

Static (type, version) information for an AssetStrip. More...

## Public Attributes
int | deviceId
| Device type (indicated a certain hardware)
int | hardwareId
| Hardware ID, revision.
int | protocolVersion
| Protocol version the strip is supporting.
int | bootVersion
| Bootcode software version.
int | appVersion
| Application code software version.
boolean | orientationSensAvailable
| Indicates whether the strip has an orientation sensor.
boolean | isCascadable
| The asset strip type.
boolean | rackUnitCountConfigurable
| Rack unit count has to be configured, i.e. is not auto detected.

## Detailed Description

Static (type, version) information for an AssetStrip.

The documentation for this struct was generated from the following file:

- AssetStrip.idl